
Price Monitoring - Task #1460

Manage Defined Items Screen - ادارة السلع المعرفة

07/16/2019 10:26 AM - Israa Naser

Status: Closed Start date: 07/16/2019

Priority: Normal Due date:  

Assignee: Israa Naser % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Abed Abuhalawa Actual Result:  

Severity: Normal Environment: QA

Category: Price monitoring module Transaction Number:  

Sub-Category: Manage Defined Items Screen - ادارة

السلع المعرفة

Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:    

Description

Manage and Define Items screen will let the user to define new Items and link it with the category and items in different cooperatives,

also will let the user to add/update/cancel union items after referring to (formal letters from the union).

No business discrepancies from the SRS

Related Bugs reports:

http://192.168.31.5:8089/redmine/issues/1518

Related issues:

Related to Bug #1461: deleted section is displayed as option to add item to i... Closed 07/16/2019

Related to Bug #1611: Adding Union Item including the task to collect items u... Feedback 08/15/2019

Related to Bug #1640: the Barcode should be automatically generated from the ... Closed 08/25/2019

Related to Bug #1641: Delete record action should be added to the mapped data... Closed 08/25/2019

Related to Task #1628: Deleting behavior in Price monitoring Closed 08/20/2019

Related to Bug #1645: a link to item details screen should be added on the it... Closed 08/25/2019

Related to Bug #1649: Barcode field should be added to search by in defined i... Closed 08/25/2019

Related to Bug #1650: English item name is define union item dialog should be... Closed 08/25/2019

Related to Bug #1695: if the defined item is linked to a provider, it's not d... Closed 08/27/2019

Related to Bug #1703: No validation is displayed if The user inserts or edit ... Closed 08/29/2019

Related to Bug #1704: Editing a defined item name displays Null error Closed 08/29/2019

Related to Bug #1714: The procedure collecting items with the same barcode in... Closed 08/30/2019

Related to Bug #1829: the entire row of the mapped item should be deleted fro... Closed 09/18/2019

History

#1 - 07/16/2019 10:40 AM - Israa Naser

- Related to Bug #1461: deleted section is displayed as option to add item to in manage defined items screen  added

#2 - 07/24/2019 11:00 AM - Israa Naser

- Assignee changed from Israa Naser to Saja Nakhleh

#3 - 07/28/2019 12:05 PM - Saja Nakhleh

- Description updated
#4 - 08/15/2019 10:15 AM - Israa Naser

- Related to Bug #1611: Adding Union Item including the task to collect items under the defined Union item added

#5 - 08/25/2019 11:00 AM - Israa Naser

- Related to Bug #1640: the Barcode should be automatically generated from the system and removed from Add new defined item dialog added

#6 - 08/25/2019 11:08 AM - Israa Naser

- Related to Bug #1641: Delete record action should be added to the mapped data table in defined items screen  added

#7 - 08/25/2019 11:20 AM - Israa Naser

- Related to Task #1628: Deleting behavior in Price monitoring  added

#8 - 08/25/2019 11:38 AM - Israa Naser

- Related to Bug #1645: a link to item details screen should be added on the item name in mapped items table  added

#9 - 08/25/2019 01:58 PM - Israa Naser

- Related to Bug #1649: Barcode field should be added to search by in defined items screen  added

#10 - 08/25/2019 02:40 PM - Israa Naser

- Related to Bug #1650: English item name is define union item dialog should be changed from الاسم اللاتيني to الاسم الانجليزي added

#11 - 08/28/2019 02:07 PM - Israa Naser

- Related to Bug #1695: if the defined item is linked to a provider, it's not deleted from the table when the user clicks the delete action  added

#12 - 08/29/2019 12:32 PM - Israa Naser

- Related to Bug #1703: No validation is displayed if The user inserts or edit Item Name already exist in defined items table. added

#13 - 08/29/2019 12:45 PM - Israa Naser

- Related to Bug #1704: Editing a defined item name displays Null error  added

#14 - 08/30/2019 08:58 AM - Israa Naser

- Related to Bug #1714: The procedure collecting items with the same barcode in the intersection table  added

#15 - 09/02/2019 05:15 PM - Israa Naser

- Assignee changed from Saja Nakhleh to Israa Naser

#16 - 09/18/2019 10:14 AM - Israa Naser

- Related to Bug #1829: the entire row of the mapped item should be deleted from the intersection table when the user un-links the mapped item from

the defined item added

#17 - 09/22/2019 01:35 AM - Israa Naser

- Status changed from Open to Closed

- % Done changed from 0 to 100

- Browser Chrome added

- Browser deleted (Firefox)

Closed as all main functionality related issues are fixed,

the feedback reported in Bug #1611 is minimal and can be fixed later, thanks
Files

PNG.ادارة السلع المعرفة 53.6 KB 07/16/2019 Israa Naser
